OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Fatal error: Cannot redeclare class adodb_datadict in C:\php

Are you an Editor, Author, or Journal Manager in need of help? Want to talk to us about workflow issues? This is your forum.

Moderators: jmacgreg, michael, vgabler, John

Forum rules
This forum is meant for general questions about the usability of OJS from an everyday user's perspective: journal managers, authors, and editors are welcome to post questions here, as are librarians and other support staff. We welcome general questions about the role of OJS and how the workflow works, as well as specific function- or user-related questions.

What to do if you have general, workflow or usability questions about OJS:

1. Read the documentation. We've written documentation to cover from OJS basics to system administration and code development, and we encourage you to read it.

2. take a look at the tutorials. We will continue to add tutorials covering OJS basics as time goes on.

3. Post a question. Questions are always welcome here, but if it's a technical question you should probably post to the OJS Technical Support subforum; if you have a development question, try the OJS Development subforum.

Fatal error: Cannot redeclare class adodb_datadict in C:\php

Postby javaxie » Tue Feb 14, 2006 2:32 am

hi to all..this is my first tym to use OJS..unfortunately, i've been confronted with an error on my debut and i'm lost..i badly need your help..here's my prob, after filling out the needed fields on the installation page, i clicked the install oJS button.i was redirected and prompted with this error: Fatal error: Cannot redeclare class adodb_datadict in C:\php4\includes\adodb\adodb-datadict.inc.php on line 0..can any one tell me what's wrong?pls..tnx in advance..gud day!
javaxie
 
Posts: 2
Joined: Tue Feb 14, 2006 2:22 am

Postby asmecher » Tue Feb 14, 2006 10:16 am

Hi Javaxie,

It sounds to me like your PHP installation already has ADODB included, probably as part of another application. OJS comes with its own version of ADODB, and the two are conflicting. The version of ADODB that OJS uses has been slightly modified, so you might have trouble if you use the version you've already got installed; however, they should be able to co-exist without too much work.

Regards,
Alec Smecher
Open Journal Systems Team
asmecher
 
Posts: 8842
Joined: Wed Aug 10, 2005 12:56 pm

Postby javaxie » Tue Feb 14, 2006 7:26 pm

tnx for the reply asmecher..still i don't have any idea on how to solve this problem..any suggestion?tnx again..
javaxie
 
Posts: 2
Joined: Tue Feb 14, 2006 2:22 am

Postby asmecher » Wed Feb 15, 2006 11:01 am

Hi Javaxie,

Check your php.ini configuration file and see if any auto_prepend_file or auto_append_file entries might be loading another version of ADODB. If so, you'll need to remove them from php.ini and add them manually to any application that requires them.

Regards,
Alec Smecher
Open Journal Systems Team
asmecher
 
Posts: 8842
Joined: Wed Aug 10, 2005 12:56 pm


Return to OJS Editorial Support and Discussion

Who is online

Users browsing this forum: No registered users and 2 guests